Debian Bug report logs - #129591
ITA: mmix-src -- Assembler and Simulator for Knuth's MMIX

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 16 Jan 2002 21:48:15 UTC

Severity: normal

Fixed in version mmix/1:0.0.20020615-3

Done: psanchez@skyrealms.org (Pablo S. Torralba)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#129591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Cc: Mike Goldman <whig@by.net>
Subject: O: mmix-src -- Assembler and Simulator for Knuth's MMIX
Date: Wed, 16 Jan 2002 22:36:36 +0100
Package: wnpp
Severity: normal

The current maintainer of mmix-src, Mike Goldman <whig@by.net>, is
apparently not active anymore.  Therefore, I orphan this package now.
If you want to be the new maintainer, please take it -- retitle this
bug from 'O:' to 'ITA:', fix the outstanding bugs and upload a new
version with your name in the Maintainer: field and a

   * New maintainer (Closes: #thisbug)

in the changelog so this bug is closed.

Some information about this package:

Package: mmix-src
Priority: optional
Section: non-free/devel
Installed-Size: 317
Maintainer: Mike Goldman <whig@by.net>
Architecture: all
Version: 19991019-4
Recommends: devscripts, make, cweb (>= 3.43), tetex-bin
Filename: dists/potato/non-free/binary-all/devel/mmix-src_19991019-4.deb
Size: 308480
MD5sum: 439d6b00345bd34f75859c0fab29eea0
Description: Assembler and Simulator for Knuth's MMIX
 MMIX is the new computer and associated assembly language that Donald
 Knuth will be using to specify the algorithms in the next edition of his
 series, The Art of Computer Programming.  Currently three volumes have
 been published, and more are in preparation.  Knuth will use MMIX as the
 low-level programming language in the "ultimate" edition of his opus.
 .
 Due to license considerations, this package will only extract the source
 code for MMIX onto your system.  After installation, you will have to build
 mmix and separately install it.


-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Phil Brooke <pjb@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#129591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Phil Brooke <pjb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 129591@bugs.debian.org (full text, mbox):

From: Phil Brooke <pjb@debian.org>
To: 129591@bugs.debian.org
Cc: "Pablo S. Torralba" <psanchez@skyrealms.org>
Subject: mmix[-src] adoption
Date: Sat, 24 Aug 2002 20:09:22 +0100 (BST)
For information of anyone interested in MMIX:

psanchez@skyrealms.org will be taking over the package -- he's nearly
through the Debian new maintainer process.

Cheers!

Phil.




Reply sent to psanchez@skyrealms.org (Pablo S. Torralba):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 129591-close@bugs.debian.org (full text, mbox):

From: psanchez@skyrealms.org (Pablo S. Torralba)
To: 129591-close@bugs.debian.org
Subject: Bug#129591: fixed in mmix 1:0.0.20020615-3
Date: Wed, 02 Oct 2002 13:05:31 -0400
We believe that the bug you reported is fixed in the latest version of
mmix, which is due to be installed in the Debian FTP archive:

mmix-src_0.0.20020615-3_all.deb
  to pool/non-free/m/mmix/mmix-src_0.0.20020615-3_all.deb
mmix_0.0.20020615-3.diff.gz
  to pool/non-free/m/mmix/mmix_0.0.20020615-3.diff.gz
mmix_0.0.20020615-3.dsc
  to pool/non-free/m/mmix/mmix_0.0.20020615-3.dsc
mmix_0.0.20020615.orig.tar.gz
  to pool/non-free/m/mmix/mmix_0.0.20020615.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 129591@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pablo S. Torralba <psanchez@skyrealms.org> (supplier of updated mmix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Sep 2002 18:32:06 +0100
Source: mmix
Binary: mmix-src
Architecture: source all
Version: 1:0.0.20020615-3
Distribution: unstable
Urgency: low
Maintainer: Pablo S. Torralba <psanchez@skyrealms.org>
Changed-By: Pablo S. Torralba <psanchez@skyrealms.org>
Description: 
 mmix-src   - Assembler and Simulator sources for Knuth's MMIX
Closes: 62275 116799 129591 142502 143063 143064
Changes: 
 mmix (1:0.0.20020615-3) unstable; urgency=low
 .
   * Minor textual changes to Debian files.
   * Removed /usr/doc link from postinst files.
   * Versioning scheme now has correct epoch.
 .
 mmix (1:0.0.20020615-2) unstable; urgency=low
 .
   * Added debhelper token in {pre,post}{rm,inst} scripts.
   * Changed Build-Depends to Build-Depends-Indep in mmix-src.
   * Fixed use in debian/rules.
 .
 mmix (1:0.0.20020615-1) unstable; urgency=low
 .
   * New upstream release
   * Fixed documentation links warnings in the mmix binary package.
 .
 mmix (1:0.0.20020216-2) unstable; urgency=low
 .
   * Just build mmix-src by default, so no mmix binary package is
     generated.
   * Added the build-mmix.1 manpage. Removes a lintian error (binary
     without manpage).
   * Package adopted (closes: #129591)
 .
 mmix (1:0.0.20020216-1) unstable; urgency=low
 .
   * Changed the versioning scheme.
   * Fixed the build-depends
   * Building error fixed in the new upstream version (closes: #142502)
 .
 mmix (0.0.20020216-2) unstable; urgency=low
 .
   * Changed style in manpages.
 .
 mmix (0.0.20020216-1) unstable; urgency=low
 .
   * debian/control depends on the package being builded
   * Changed the source name to mmix (instead mmix-src). Maybe now, it
     could be remain mmix-src :-?
   * Added the Philip Hands compilation script to build the binary package
     after installation
   * Added manpages for the Knuth programs mmix, mmixal, mmmix and mmotype
   * mmix-src now build-depends on debhelper (closes: #62275)
   * New upstream version (closes: #116799, #143064)
   * While a confirmation for free redistribution is received, it should
     remain in non-free (conflicts point four from DFSG) (closes: #143063)
Files: 
 5a1478268aa3497c6e96aa67ba349619 594 non-free/devel optional mmix_0.0.20020615-3.dsc
 0d1946ba3337f02775545f81ef9c7450 304932 non-free/devel optional mmix_0.0.20020615.orig.tar.gz
 80481d789dc7f5e0c0bdfa5e025a6413 10881 non-free/devel optional mmix_0.0.20020615-3.diff.gz
 e00854bbfa3db35628a50d5129a45765 323964 non-free/devel optional mmix-src_0.0.20020615-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9jgJ1Hb8HEVCXO5ERAhnOAKDq2/J0+h52u+gGSlFrolSvmA/dJgCeMJFU
qQyxAE76O9/tlWx6+3DqLBY=
=M5w3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:50:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.